API referenceCampaigns
Retrieve a campaign
GET
/campaigns/{id}Includes stats (recipients, sent, delivered, opened, clicked, bounced, complained, unsubscribed, failed, skipped) rolled up from SES events, and last_error when the sender paused it.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/campaigns/string"{ "object": "campaign", "id": "string", "name": "string", "status": "draft", "from": "string", "reply_to": [ "string" ], "subject": "string", "preheader": "string", "template_id": "string", "template_version_id": "string", "html": "string", "text": "string", "list_ids": [ "string" ], "segment_id": "string", "preference_list_id": "string", "scheduled_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "last_error": "string", "stats": { "recipients": 0, "sent": 0, "delivered": 0, "opened": 0, "clicked": 0, "bounced": 0, "complained": 0, "unsubscribed": 0, "failed": 0, "skipped": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}